"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FeatureFlagActionProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const keys_1 = require("../keys");
let FeatureFlagActionProvider = class FeatureFlagActionProvider {
    constructor(getMetadata, ctx) {
        this.getMetadata = getMetadata;
        this.ctx = ctx;
    }
    value() {
        return () => this.action();
    }
    async action() {
        const metadata = await this.getMetadata();
        if (!metadata ||
            (metadata.strategies.length === 1 && metadata.strategies[0] === '*')) {
            return true;
        }
        const strategies = metadata.strategies;
        for (const item of strategies) {
            const featureToggle = await this.ctx.get(item);
            const isFeatureEnabled = await featureToggle();
            if (!isFeatureEnabled) {
                return false;
            }
        }
        return true;
    }
};
FeatureFlagActionProvider = (0, tslib_1.__decorate)([
    (0, tslib_1.__param)(0, core_1.inject.getter(keys_1.StrategyBindings.METADATA)),
    (0, tslib_1.__param)(1, core_1.inject.context()),
    (0, tslib_1.__metadata)("design:paramtypes", [Function, core_1.Context])
], FeatureFlagActionProvider);
exports.FeatureFlagActionProvider = FeatureFlagActionProvider;
//# sourceMappingURL=feature-flag-action.provider.js.map