"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TenantStrategyProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const enums_1 = require("../enums");
const services_1 = require("../services");
let TenantStrategyProvider = class TenantStrategyProvider {
    constructor(strategyHelperService) {
        this.strategyHelperService = strategyHelperService;
    }
    value() {
        return () => this.isEnabled();
    }
    async isEnabled() {
        return this.strategyHelperService.isFeatureEnabled(enums_1.StrategyKey.Tenant);
    }
};
TenantStrategyProvider = (0, tslib_1.__decorate)([
    (0, tslib_1.__param)(0, (0, core_1.inject)('services.StrategyHelperService')),
    (0, tslib_1.__metadata)("design:paramtypes", [services_1.StrategyHelperService])
], TenantStrategyProvider);
exports.TenantStrategyProvider = TenantStrategyProvider;
//# sourceMappingURL=tenant-strategy.provider.js.map